cascading.tap.hadoop.util

## Class TempHfs

- java.lang.Object
- - cascading.tap.Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector>
  - - cascading.tap.hadoop.Hfs
    - - cascading.tap.hadoop.util.TempHfs

- All Implemented Interfaces:
    FlowElement, ScopedElement, FileType<org.apache.hadoop.conf.Configuration>, Traceable, Serializable

      public class TempHfs
      extends Hfs

  Class TempHfs creates a temporary `Tap` instance for use internally.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.tap.hadoop.Hfs

      `stringPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempHfs(org.apache.hadoop.conf.Configuration conf, String name, boolean isNull)` Constructor TempHfs creates a new TempHfs instance.
    `TempHfs(org.apache.hadoop.conf.Configuration conf, String name, Class<? extends Scheme> schemeClass)` Constructor TempDfs creates a new TempDfs instance.
    `TempHfs(org.apache.hadoop.conf.Configuration conf, String name, Class<? extends Scheme> schemeClass, boolean unique)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends Scheme>` | `getSchemeClass()`
    `boolean` | `isTemporary()` Method isTemporary returns true if this Tap is temporary (used for intermediate results).
    `Scope` | `outgoingScopeFor(Set<Scope> incomingScopes)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
    `String` | `toString()`

    - ### Methods inherited from class cascading.tap.hadoop.Hfs

      `applySourceConfInitIdentifiers, createResource, deleteChildResource, deleteChildResource, deleteResource, getBlockSize, getBlockSize, getChildIdentifiers, getChildIdentifiers, getChildIdentifiers, getChildIdentifiers, getCombinedInputSafeMode, getDefaultFileSystem, getDefaultFileSystemURIScheme, getFileSystem, getFullIdentifier, getIdentifier, getLocalModeScheme, getModifiedTime, getPath, getReplication, getReplication, getSize, getSize, getTempPath, getURIScheme, getUseCombinedInput, isDirectory, isDirectory, makeTemporaryPathDirString, makeURIScheme, openForRead, openForWrite, resetFileStatuses, resourceExists, setStringPath, setUriScheme, sinkConfInit, sourceConfInit, sourceConfInitAddInputPath, sourceConfInitComplete, verifyNoDuplicates`

    - ### Methods inherited from class cascading.tap.Tap

      `commitResource, createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getModifiedTime, getNodeConfigDef, getScheme, getSinkFields, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, isKeep, isReplace, isSink, isSource, isUpdate, openForRead, openForWrite, prepareResourceForRead, prepareResourceForWrite, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setScheme, taps`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TempHfs

          public TempHfs(org.apache.hadoop.conf.Configuration conf,
                 String name,
                 boolean isNull)

      Constructor TempHfs creates a new TempHfs instance.
      Parameters:
        `name` - of type String
        `isNull` - of type boolean

    - #### TempHfs

          public TempHfs(org.apache.hadoop.conf.Configuration conf,
                 String name,
                 Class<? extends Scheme> schemeClass)

      Constructor TempDfs creates a new TempDfs instance.
      Parameters:
        `name` - of type String

    - #### TempHfs

          public TempHfs(org.apache.hadoop.conf.Configuration conf,
                 String name,
                 Class<? extends Scheme> schemeClass,
                 boolean unique)

  - ### Method Detail

    - #### getSchemeClass

          public Class<? extends Scheme> getSchemeClass()

    - #### outgoingScopeFor

          public Scope outgoingScopeFor(Set<Scope> incomingScopes)

      Description copied from interface: `ScopedElement`
      Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
      Specified by:
        `outgoingScopeFor` in interface `ScopedElement`
      Overrides:
        `outgoingScopeFor` in class `Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector>`
      Parameters:
        `incomingScopes` - of type Set
      Returns:
        Scope

    - #### isTemporary

          public boolean isTemporary()

      Description copied from class: `Tap`
      Method isTemporary returns true if this Tap is temporary (used for intermediate results).
      Overrides:
        `isTemporary` in class `Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector>`
      Returns:
        the temporary (type boolean) of this Tap object.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Tap<org.apache.hadoop.conf.Configuration,org.apache.hadoop.mapred.RecordReader,org.apache.hadoop.mapred.OutputCollector>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.